cdac.medinfo.enrty

## Class HeaderEntry

- java.lang.Object
- - cdac.medinfo.enrty.HeaderEntry

-     public class HeaderEntry
      extends java.lang.Object

  This Class is used to populate data for CCD Header

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Participant1` | `getParticipant(Participant objParticipant)` This method is used to create and add Participant1 data in CCD Header
    `Author` | `populateAuthor(AuthorInfo objAuthor)` This method is used to create and add Author data in CCD Header
    `Custodian` | `populateCustodian()` This method is used to create and add Custodian data in CCD Header
    `DocumentationOf` | `populateDocumentation(DocumentationOfInfo objDocumentation)` This method is used to create and add Documentation data in Header
    `Informant12` | `populateInformant()` This method is used to create and add Informant12 data in CCD Header
    `LegalAuthenticator` | `populateLegalAuthenticator()` This method is used to create and add Legal Authenticator data in CCD Header
    `RecordTarget` | `populateRecordTarget(PatientDetails objPatientDetails)` This method is used to create and add Record Target data in Header

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderEntry

          public HeaderEntry()

  - ### Method Detail

    - #### populateRecordTarget

          public RecordTarget populateRecordTarget(PatientDetails objPatientDetails)

      This method is used to create and add Record Target data in Header
      Parameters:
        `objPatientDetails` - - Patient Details for whose Clinical Document to be generated
      Returns:
        objRecordTarget - `RecordTarget` RecordTarget object

    - #### populateAuthor

          public Author populateAuthor(AuthorInfo objAuthor)

      This method is used to create and add Author data in CCD Header
      Parameters:
        `objAuthor` - - Author object
      Returns:
        objAuthor - `Author` Author object

    - #### populateCustodian

          public Custodian populateCustodian()

      This method is used to create and add Custodian data in CCD Header
      Returns:
        objCustodian - `Custodian` Custodian object

    - #### populateDocumentation

          public DocumentationOf populateDocumentation(DocumentationOfInfo objDocumentation)

      This method is used to create and add Documentation data in Header
      Parameters:
        `objDocumentation` - - DocumentationOf object
      Returns:
        objDocumentationOf - `DocumentationOf` DocumentationOf object

    - #### populateInformant

          public Informant12 populateInformant()

      This method is used to create and add Informant12 data in CCD Header
      Returns:
        objInformant - `Informant12` Informant12 object

    - #### populateLegalAuthenticator

          public LegalAuthenticator populateLegalAuthenticator()

      This method is used to create and add Legal Authenticator data in CCD Header
      Returns:
        objLegalAuthenticator - `LegalAuthenticator` LegalAuthenticator object

    - #### getParticipant

          public Participant1 getParticipant(Participant objParticipant)

      This method is used to create and add Participant1 data in CCD Header
      Parameters:
        `objParticipant` - - object specify Participant Details
      Returns:
        participant - `Participant1` Participant1 object